## ros-jazzy-ntrip-client 1.3.0

=== debian/changelog ===
ros-jazzy-ntrip-client (1.3.0-4bookworm) bookworm; urgency=high

  * Updates README to mention new launch parameters (#27 <https://github.com/LORD-MicroStrain/ntrip_client/issues/27>)
  * Change codec to ISO-8859-1 (#46 <https://github.com/LORD-MicroStrain/ntrip_client/issues/46>)
  * Prefer rtcm_msgs instead of mavros_msgs (#37 <https://github.com/LORD-MicroStrain/ntrip_client/issues/37>)
  * ROS NMEA sentence min/max length (#19 <https://github.com/LORD-MicroStrain/ntrip_client/issues/19>)
    * ROS NMEA sentence variable length
    * Removes unnecesarry imports
  * ROS Adds ability to publish an rtcm_msgs Message instead of a mavros_msgs RTCM (#22 <https://github.com/LORD-MicroStrain/ntrip_client/issues/22>)
    * Adds ability to publish an rtcm_msgs Message instead of a mavros_msgs RTCM
    * Renames variables to differentiate between rtcm_msgs package and the conept of an rtcm_message
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 21 Feb 2024 16:00:00 -0000

ros-jazzy-ntrip-client (1.2.0-4bookworm) bookworm; urgency=high

  * Adds the ability to configure the NTRIP client to connect using SSL (#23 <https://github.com/LORD-MicroStrain/ntrip_client/issues/23>)
  * ROS automatic reconnect (#18 <https://github.com/LORD-MicroStrain/ntrip_client/issues/18>)
    * Adds ability to reconnect to ROS
    * Allows the timeouts and other parameters to be modified via the launch file
    * Moves optional config out of constructor, and declares constnats in class definition
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 10 Aug 2022 16:00:00 -0000

ros-jazzy-ntrip-client (1.1.0-4bookworm) bookworm; urgency=high

  * ROS Ntrip Version Configuration (#8 <https://github.com/LORD-MicroStrain/ntrip_client/issues/8>)
    * No longer sends Ntrip-Version header if not specified
    * Adds some hopefully helpful debug logging
    * Properly handles responses that have both a failure response and success response
    * Adds ability to print debug logs via launch parameter
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 21 Apr 2022 16:00:00 -0000

ros-jazzy-ntrip-client (1.0.2-4bookworm) bookworm; urgency=high

  * Checks if there is a * character in the string before parsing fully
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 09 Feb 2022 16:00:00 -0000

ros-jazzy-ntrip-client (1.0.1-4bookworm) bookworm; urgency=high

  * Replaces ROS timer destroy methods with ROS2 methods and removes extra destroy
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 19 Jan 2022 16:00:00 -0000

ros-jazzy-ntrip-client (1.0.0-4bookworm) bookworm; urgency=high

  * Initial implementation of ROS2 NTRIP client
  * Adds ability to cache packets if they do contain some of a mesage but not the whole thing
  * Contributors: drobb257, nathanmillerparker, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Dec 2021 16:00:00 -0000
