=== debian/control ===
Source: ros-jazzy-ntrip-client
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-nmea-msgs, ros-jazzy-rclpy, ros-jazzy-rtcm-msgs, ros-jazzy-std-msgs, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://github.com/LORD-MicroStrain/ntrip_client
Standards-Version: 3.9.2

Package: ros-jazzy-ntrip-client
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-jazzy-nmea-msgs, ros-jazzy-rclpy, ros-jazzy-rtcm-msgs, ros-jazzy-std-msgs, ros-jazzy-ros-workspace
Description: NTRIP client that will publish RTCM corrections to a ROS topic, and optionally subscribe to NMEA messages to send to an NTRIP server
